package com.kda.data.entities;

import java.util.Date;

public class ComentarioActividadConDatos extends ComentarioActividad {

	/**
	 * 
	 */
	private static final long serialVersionUID = -333964167322107607L;
	private String nombreUsuario = "";
	private String nombreAficion = "";
	private String descripcionActividad = "";
	private Date fechaCelebracionActividad;

	public ComentarioActividadConDatos() {

	}

	public ComentarioActividadConDatos(ComentarioActividad comentario) {
		this.setActividadId(comentario.getActividadId());
		this.setComentario(comentario.getComentario());
		this.setComentarioSuscripcion(comentario.isComentarioSuscripcion());
		this.setFecha(comentario.getFecha());
		this.setUsuarioCreadorId(comentario.getUsuarioCreadorId());
	}

	public String getNombreUsuario() {
		return nombreUsuario;
	}

	public void setNombreUsuario(String nombreUsuario) {
		this.nombreUsuario = nombreUsuario;
	}

	public String getNombreAficion() {
		return nombreAficion;
	}

	public void setNombreAficion(String nombreAficion) {
		this.nombreAficion = nombreAficion;
	}

	public Date getFechaCelebracionActividad() {
		return fechaCelebracionActividad;
	}

	public void setFechaCelebracionActividad(Date fechaCelebracionActividad) {
		this.fechaCelebracionActividad = fechaCelebracionActividad;
	}

	public String getDescripcionActividad() {
		return descripcionActividad;
	}

	public void setDescripcionActividad(String descripcionActividad) {
		this.descripcionActividad = descripcionActividad;
	}

}
