package com.kda.display.controlers;

import java.util.ArrayList;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.ResourceBundle;
import java.util.Set;

import com.kda.display.forms.DatosUsuarioForm;
import com.kda.utils.ObjetoMap;

public class BaseControler {

	DatosUsuarioForm datosUsuarioForm = new DatosUsuarioForm();

	protected String getLiteral(String literal) {
		String texto = "";
		try {
			Locale myLocale = new Locale("es", "ES");
			ResourceBundle recurso = ResourceBundle.getBundle("text", myLocale);
			texto = recurso.getString(literal);
		} catch (Exception e) {

		}
		return texto;
	}

	public List<ObjetoMap> getLista(Map<String, String> mapa) {
		List<ObjetoMap> aux = new ArrayList<ObjetoMap>();
		Set<String> claves = mapa.keySet();
		for (String clave : claves) {
			ObjetoMap opcion = new ObjetoMap(clave, mapa.get(clave));
			aux.add(opcion);
		}
		return aux;
	}

	public DatosUsuarioForm getDatosUsuarioForm() {
		return datosUsuarioForm;
	}

	public void setDatosUsuarioForm(DatosUsuarioForm datosUsuarioForm) {
		this.datosUsuarioForm = datosUsuarioForm;
	}
}
