package com.kda.display.forms;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.model.SelectItem;

import com.kda.data.entities.Aficion;

public class AficionesForm implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -966072254883685636L;

	public static List<SelectItem> getAficiones(List<Aficion> listaAficiones) {
		List<SelectItem> aficiones = new ArrayList<SelectItem>();
		for (Aficion aux : listaAficiones) {
			SelectItem aficion = new SelectItem();
			aficion.setValue(aux.getId());
			aficion.setLabel(aux.getNombre());
			aficiones.add(aficion);
		}
		return aficiones;
	}

}
