package com.kda.display.forms;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.model.SelectItem;

import com.kda.data.entities.AgrupacionAficiones;

public class AgrupacionAficionesForm implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -966072254883685636L;

	public static List<SelectItem> getAgrupacionAficiones(
			List<AgrupacionAficiones> agrupacionAficiones) {
		List<SelectItem> agrupaciones = new ArrayList<SelectItem>();
		for (AgrupacionAficiones aux : agrupacionAficiones) {
			SelectItem agrupacion = new SelectItem();
			agrupacion.setValue(aux.getId());
			agrupacion.setLabel(aux.getNombre());
			agrupaciones.add(agrupacion);
		}
		return agrupaciones;
	}

}
