package com.kda.display.forms;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.model.SelectItem;

import com.kda.data.entities.Provincia;

public class ProvinciasForm implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -966072254883685636L;

	public static List<SelectItem> getProvincias(List<Provincia> provincias) {
		List<SelectItem> provincias_aux = new ArrayList<SelectItem>();
		for (Provincia aux : provincias) {
			SelectItem provincia = new SelectItem();
			provincia.setValue(aux.getId());
			provincia.setLabel(aux.getProvincia());
			provincias_aux.add(provincia);
		}
		return provincias_aux;
	}

}
