package com.kda.display.forms;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.model.SelectItem;

import com.kda.data.entities.Ubicacion;

public class UbicacionesForm implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -966072254883685636L;

	public static List<SelectItem> getUbicaciones(List<Ubicacion> ubicaciones) {
		List<SelectItem> ubicaciones_aux = new ArrayList<SelectItem>();
		for (Ubicacion aux : ubicaciones) {
			SelectItem ubicacion = new SelectItem();
			ubicacion.setValue(aux.getId());
			ubicacion.setLabel(aux.getPoblacion());
			ubicaciones_aux.add(ubicacion);
		}
		return ubicaciones_aux;
	}

}
