package com.kda.utils;

import javax.faces.context.FacesContext;

import org.springframework.context.ApplicationContext;
import org.springframework.web.jsf.FacesContextUtils;

public class BaseContext {

	public static Object getBeanFromApplicationContext(String nombreBean)
			throws KdaException {
		ApplicationContext ctx = FacesContextUtils
				.getWebApplicationContext(FacesContext.getCurrentInstance());
		Object bean = ctx.getBean(nombreBean);
		if (bean == null) {
			throw new KdaException(
					"[BaseContexts.getBeanFromApplicationContext] No se ha recuperado ningún objeto.");
		}
		return bean;
	}

}
