package com.kda.data.entities;

import java.io.Serializable;

import javax.persistence.Entity;

@Entity
public class ActividadConDatos extends Actividad implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2553670978471731118L;
	private long diasFaltan = 0;
	private String nombreUsuario;
	private String nombreAficion;
	private String nombrePoblacion;

	public ActividadConDatos() {

	}

	public ActividadConDatos(Actividad actividad) {
		this.setId(actividad.getId());
		this.setAficionId(actividad.getAficionId());
		this.setUsuarioCreadorId(actividad.getUsuarioCreadorId());
		this.setUbicacionId(actividad.getUbicacionId());
		this.setFechaCelebracion(actividad.getFechaCelebracion());
		this.setQuedarEn(actividad.getQuedarEn());
		this.setDescripcion(actividad.getDescripcion());

	}

	public long getDiasFaltan() {
		return diasFaltan;
	}

	public void setDiasFaltan(long diasFaltan) {
		this.diasFaltan = diasFaltan;
	}

	public String getNombreUsuario() {
		return nombreUsuario;
	}

	public void setNombreUsuario(String nombreUsuario) {
		this.nombreUsuario = nombreUsuario;
	}

	public String getNombreAficion() {
		return nombreAficion;
	}

	public void setNombreAficion(String nombreAficion) {
		this.nombreAficion = nombreAficion;
	}

	public String getNombrePoblacion() {
		return nombrePoblacion;
	}

	public void setNombrePoblacion(String nombrePoblacion) {
		this.nombrePoblacion = nombrePoblacion;
	}
}