package com.kda.data.managers;

import java.util.List;

import com.kda.data.entities.Actividad;
import com.kda.data.entities.ActividadSuscrita;
import com.kda.data.entities.Usuario;

public interface ActividadSuscritaManager {

	public final static String SERVICIO = "actividadSuscritaManager";

	public abstract ActividadSuscrita recuperaActividadSuscrita(int id);

	public abstract List<ActividadSuscrita> cargaActividadesSuscritas(
			Usuario usuario);

	public abstract boolean guardaDatos(Actividad actividad, Usuario usuario);
}