package com.kda.data.managers;

import java.util.Date;
import java.util.List;

import com.kda.data.entities.Actividad;
import com.kda.data.entities.ComentarioActividad;
import com.kda.data.entities.ComentarioActividadConDatos;
import com.kda.data.entities.Usuario;
import com.kda.data.utils.PersistenceUtil;

public interface ComentarioManager {

	public final static String SERVICIO = "comentarioManager";

	public abstract boolean validaDatos(ComentarioActividad comentarioActividad);

	public abstract boolean guardaDatos(ComentarioActividad comentarioActividad);

	public abstract void guardaComentarioActividaInicial(Actividad actividad,
			Usuario usuario, PersistenceUtil persistenceUtil);

	public abstract List<ComentarioActividad> getComentariosDelUsuario(
			Usuario usuario);

	public abstract List<ComentarioActividadConDatos> recuperaComentariosActividadesPosterioresA(
			Usuario usuario, Date fecha);

}