package com.kda.data.managers;

import java.util.Map;

import com.kda.data.entities.Usuario;

public interface SesionManager {

	public final static String SERVICIO = "SesionManager";

	/**
	 * Realiza el login del usuario registrado
	 */
	public abstract boolean login(String mail, String password);

	public boolean logout();

	public abstract boolean isUsuarioLogado();

	public abstract Usuario getUsuario();

	public abstract Map<String, String> getOpcionesPermitidas();

}