package com.kda.display.controlers;

import java.io.Serializable;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.SessionScoped;
import javax.faces.event.ActionEvent;

import com.kda.data.entities.Usuario;
import com.kda.data.managers.SesionManager;
import com.kda.display.forms.DatosUsuarioForm;

@ManagedBean
@SessionScoped
public class LoginControler extends BaseControler implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5320653523068647752L;

	private DatosUsuarioForm datosUsuarioForm;
	private boolean logado = false;

	@ManagedProperty(value = "#{sesionManager}")
	SesionManager sesionManager;

	public LoginControler() {
		System.out.println("entra");
		datosUsuarioForm = new DatosUsuarioForm();
	}

	public String cargaDatos() {
		String resultado = "login";
		return resultado;
	}

	public void login(ActionEvent actionEvent) {
		Usuario usuario = datosUsuarioForm.toObject(null);
		logado = sesionManager.login(usuario.getMail(), usuario.getPassword());
	}

	public DatosUsuarioForm getDatosUsuarioForm() {
		return datosUsuarioForm;
	}

	public void setDatosUsuarioForm(DatosUsuarioForm datosUsuarioForm) {
		this.datosUsuarioForm = datosUsuarioForm;
	}

	public boolean isLogado() {
		return logado;
	}

	public void setLogado(boolean logado) {
		this.logado = logado;
	}

	public SesionManager getSesionManager() {
		return sesionManager;
	}

	public void setSesionManager(SesionManager sesionManager) {
		this.sesionManager = sesionManager;
	}

}
